<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Yule Pro
	 * @since Yule Pro 1.0.0
	 */

	/**
	 * yule_pro_doctype hook
	 *
	 * @hooked yule_pro_doctype -  10
	 *
	 */
	do_action( 'yule_pro_doctype' );

?>
<head>
<?php
	/**
	 * yule_pro_before_wp_head hook
	 *
	 * @hooked yule_pro_head -  10
	 *
	 */
	do_action( 'yule_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>
<?php
	/**
	 * yule_pro_page_start_action hook
	 *
	 * @hooked yule_pro_page_start -  10
	 *
	 */
	do_action( 'yule_pro_page_start_action' ); 

	/**
	 * yule_pro_loader_action hook
	 *
	 * @hooked yule_pro_loader -  10
	 * @hooked yule_pro_add_breadcrumb -  20
	 *
	 */
	do_action( 'yule_pro_before_header' );

	/**
	 * yule_pro_header_action hook
	 *
	 * @hooked yule_pro_header_start -  10
	 * @hooked yule_pro_site_branding -  20
	 * @hooked yule_pro_site_navigation -  30
	 * @hooked yule_pro_header_end -  50
	 *
	 */
	do_action( 'yule_pro_header_action' );

	/**
	 * yule_pro_content_start_action hook
	 *
	 * @hooked yule_pro_content_start -  10
	 * @hooked yule_pro_add_sample_section - 20
	 *
	 */
	do_action( 'yule_pro_content_start_action' );

	/**
	* yule_pro_primary_content hook
	*
	* @hooked yule_pro_home_page_sections - 20
	*
	*/
    if ( yule_pro_is_frontpage() ) {
		do_action( 'yule_pro_primary_content' );
	}