<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Yule Pro
 * @since Yule Pro 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'yule_pro_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','yule-pro' ),
	'description'       => esc_html__( 'Archive section options.', 'yule-pro' ),
	'panel'             => 'yule_pro_theme_options_panel',
) );

// Your latest posts title setting and control.
$wp_customize->add_setting( 'yule_pro_theme_options[your_latest_posts_title]', array(
	'default'           => $options['your_latest_posts_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'yule_pro_theme_options[your_latest_posts_title]', array(
	'label'             => esc_html__( 'Your Latest Posts Title', 'yule-pro' ),
	'description'       => esc_html__( 'This option only works if Static Front Page is set to "Your latest posts."', 'yule-pro' ),
	'section'           => 'yule_pro_archive_section',
	'type'				=> 'text',
) );

// Show archive image setting and control.
$wp_customize->add_setting( 'yule_pro_theme_options[archive_col]', array(
	'default'           => $options['archive_col'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'yule_pro_theme_options[archive_col]', array(
	'label'       => esc_html__( 'Archive Column layout', 'yule-pro' ),
	'section'     => 'yule_pro_archive_section',
	'type'        => 'select',
	'choices'	  => yule_pro_get_archive_col(),
) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'yule_pro_theme_options[hide_date]', array(
	'default'           => $options['hide_date'],
	'sanitize_callback' => 'yule_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Yule_Pro_Switch_Control( $wp_customize, 'yule_pro_theme_options[hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'yule-pro' ),
	'section'           => 'yule_pro_archive_section',
	'on_off_label' 		=> yule_pro_switch_options(),
) ) );

// Archive author category setting and control.
$wp_customize->add_setting( 'yule_pro_theme_options[hide_category]', array(
	'default'           => $options['hide_category'],
	'sanitize_callback' => 'yule_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Yule_Pro_Switch_Control( $wp_customize, 'yule_pro_theme_options[hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'yule-pro' ),
	'section'           => 'yule_pro_archive_section',
	'on_off_label' 		=> yule_pro_switch_options(),
) ) );

// Archive tag category setting and control.
$wp_customize->add_setting( 'yule_pro_theme_options[hide_comments]', array(
	'default'           => $options['hide_comments'],
	'sanitize_callback' => 'yule_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Yule_Pro_Switch_Control( $wp_customize, 'yule_pro_theme_options[hide_comments]', array(
	'label'             => esc_html__( 'Hide Comments', 'yule-pro' ),
	'section'           => 'yule_pro_archive_section',
	'on_off_label' 		=> yule_pro_switch_options(),
) ) );