<?php
/**
 * Subscription section
 *
 * @package Theme Palace
 * @subpackage Yule Pro
 * @since Yule Pro 1.0.0
 */
if ( ! function_exists( 'yule_pro_add_subscription_section' ) ) :
    /**
    * Add subscription section
    *
    *@since Yule Pro 1.0.0
    */
    function yule_pro_add_subscription_section() {
    	$options = yule_pro_get_theme_options();
        // Check if subscription is enabled on frontpage
        $subscription_enable = apply_filters( 'yule_pro_section_status', true, 'subscription_section_enable' );

        if ( true !== $subscription_enable ) {
            return false;
        }

        // Render subscription section now.
        yule_pro_render_subscription_section();
    }
endif;
add_action( 'yule_pro_primary_content', 'yule_pro_add_subscription_section', 60 );


if ( ! function_exists( 'yule_pro_render_subscription_section' ) ) :
  /**
   * Start subscription section
   *
   * @return string subscription content
   * @since Yule Pro 1.0.0
   *
   */
   function yule_pro_render_subscription_section() {
        $options = yule_pro_get_theme_options();
        $title = ! empty( $options['subscription_title'] ) ? $options['subscription_title'] : esc_html__( 'Subscribe Today', 'yule-pro' );

        if ( ! class_exists( 'Jetpack' ) ) {
            return;
        } elseif ( class_exists( 'Jetpack' ) ) {
            if ( ! Jetpack::is_module_active( 'subscriptions' ) )
                return;
        }
        ?>
        <div id="subscribe-now" class="page-section relative" style="border-top: none;">
            <div class="wrapper">
                <?php 
                $subscription_shortcode = '[jetpack_subscription_form title="' . esc_html( $title ) . '" subscribe_text="" subscribe_button="' . esc_html__( 'Subscribe Now', 'yule-pro' ) . '" show_subscribers_total="1"]';
                echo do_shortcode( wp_kses_post( $subscription_shortcode ) ); 
                ?>
            </div><!-- .wrapper -->
        </div><!-- #subscribe-now -->
    <?php
    }
endif;