<?php
/**
 * The sidebar containing the main widget area.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Theme Palace
 * @subpackage Yule Pro
 * @since Yule Pro 1.0.0
 */

$post_sidebar = 'sidebar-1';
if ( is_singular() ) :
	$post_sidebar = get_post_meta( get_the_ID(), 'yule-pro-selected-sidebar', true );
	if ( class_exists( 'WooCommerce' ) && is_singular( 'product' ) ) {
		$post_id = get_option( 'woocommerce_shop_page_id' );
		$post_sidebar = ! empty( $post_sidebar ) ? $post_sidebar : get_post_meta( $post_id, 'yule-pro-selected-sidebar', true );
	}
	$post_sidebar = ! empty( $post_sidebar ) ? $post_sidebar : 'sidebar-1';
elseif ( class_exists( 'WooCommerce' ) && ( is_shop() || is_product_taxonomy() ) ) :
	$post_id = get_option( 'woocommerce_shop_page_id' );
	$post_sidebar = get_post_meta( $post_id, 'yule-pro-selected-sidebar', true );
	$post_sidebar = ! empty( $post_sidebar ) ? $post_sidebar : 'sidebar-1';
endif;
if ( ! is_active_sidebar( $post_sidebar ) ) {
	return;
}
?>

<aside id="secondary" class="widget-area" role="complementary">
	<?php dynamic_sidebar( $post_sidebar ); ?>
</aside><!-- #secondary -->
